Operations Management/Tenant Management (Plus)/Project Operations
PUTProject OperationsSince 2.4.0SynchronousAuth Required
UpdateIAM2Project
UpdateIAM2Project
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateiam2projectObjectRequiredupdateiam2project request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/iam2/projects/{uuid}/actions
/zstack/v1/iam2/projects/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/iam2/projects/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateiam2project":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "41d47db9cb0040edabe5823e1fff0c0e", "name": "project", "state": "Enabled" } }Change History
This API has no change history records yet.
